baseURL = 'https://melm.xyz/'
languageCode = 'en'
title = 'melm'

[build]
  writeStats = true
[markup]
  [markup.goldmark]
    [markup.goldmark.renderer]
      unsafe = true
  [markup.highlight]
    lineNos = true
    lineNumbersInTable = false
    noClasses = false
[module]
  [[module.imports]]
    path = 'github.com/hbstack/meta/recommended'
  [[module.imports]]
    path = 'github.com/hugomods/encoder'
[outputs]
  home = ['HTML', 'Offline', 'RSS', 'SearchIndex', 'WebAppManifest']
[permalinks]
  blog = '/blog/:year/:month/:title'
[taxonomies]
  authors = 'authors'
  categories = 'categories'
  series = 'series'
  tags = 'tags'
[pwa]
  [pwa.caches]
    [pwa.caches.font]
      strategy = 'network-first'
    [pwa.caches.image]
      strategy = 'network-first'
    [pwa.caches.script]
      strategy = 'network-first'
    [pwa.caches.style]
      strategy = 'network-first'
